#2723 closed enhancement (fixed)

CPUINFO command to report per-processor information

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Add a CPUINFO command to report per-processor information, e.g. processor index, online state and scheduler assignment.

[/] # cpuinfo
-------------------------------------------------------------------------------
                            PER PROCESSOR INFORMATION
-------+--------+--------------+-----------------------------------------------
 INDEX | ONLINE | SCHEDULER ID | SCHEDULER NAME
-------+--------+--------------+-----------------------------------------------
     0 |      1 |   0x0f010001 | MPS 
     1 |      1 |   0x0f010001 | MPS 
     2 |      1 |   0x0f010001 | MPS 
     3 |      1 |   0x0f010001 | MPS 
     4 |      1 |   0x0f010001 | MPS 
     5 |      1 |   0x0f010001 | MPS 
     6 |      1 |   0x0f010001 | MPS 
     7 |      1 |   0x0f010001 | MPS 
     8 |      1 |   0x0f010001 | MPS 
     9 |      1 |   0x0f010001 | MPS 
    10 |      1 |   0x0f010001 | MPS 
    11 |      1 |   0x0f010001 | MPS 
    12 |      1 |   0x0f010001 | MPS 
    13 |      1 |   0x0f010001 | MPS 
    14 |      1 |   0x0f010001 | MPS 
    15 |      1 |   0x0f010001 | MPS 
    16 |      1 |   0x0f010001 | MPS 
    17 |      1 |   0x0f010001 | MPS 
    18 |      1 |   0x0f010001 | MPS 
    19 |      1 |   0x0f010001 | MPS 
    20 |      1 |   0x0f010001 | MPS 
    21 |      1 |   0x0f010001 | MPS 
    22 |      1 |   0x0f010001 | MPS 
    23 |      1 |   0x0f010001 | MPS

Change History (5)

comment:1 Changed on May 31, 2016 at 8:12:02 AM by Sebastian Huber <sebastian.huber@…>

In 01cb5540bd7b391f9a19c79b284fdfc4385afc06/rtems:

shell: Add CPUINFO command

Update #2723.

comment:2 Changed on Dec 19, 2016 at 2:07:20 PM by Sebastian Huber

Resolution: fixed
Status: newclosed

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.